org.apache.commons.release.plugin.velocity

## Class HeaderHtmlVelocityDelegate

- java.lang.Object
- - org.apache.commons.release.plugin.velocity.HeaderHtmlVelocityDelegate

-     public class HeaderHtmlVelocityDelegate
      extends Object

  This class' purpose is to generate the `HEADER.html` that moves along with the release for the sake of downloading the release from the distribution area.
  Since:
    1.3
  Author:
    chtompki

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder` A builder class for instantiation of the `HeaderHtmlVelocityDelegate`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static String` | `TEMPLATE` The location of the velocity tempate for this class.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `HeaderHtmlVelocityDelegate()` The private constructor to be used by the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder` | `builder()` For instantiating our `HeaderHtmlVelocityDelegate` using the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.
    `Writer` | `render(Writer writer)` Builds the HEADER.vm velocity template to the writer passed in.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE

          private static final String TEMPLATE

      The location of the velocity tempate for this class.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HeaderHtmlVelocityDelegate

          private HeaderHtmlVelocityDelegate()

      The private constructor to be used by the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.

  - ### Method Detail

    - #### builder

          public static HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder builder()

      For instantiating our `HeaderHtmlVelocityDelegate` using the `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.
      Returns:
        a `HeaderHtmlVelocityDelegate.HeaderHtmlVelocityDelegateBuilder`.

    - #### render

          public Writer render(Writer writer)

      Builds the HEADER.vm velocity template to the writer passed in.
      Parameters:
        `writer` - any `Writer` that we wish to have the filled velocity template written to.
      Returns:
        the `Writer` that we've filled out the template into.

Copyright © 2018–2019 The Apache Software Foundation. All rights reserved.